Bug 985152 - /usr/libexec/rhsmd --help description for --force-signal improvement
/usr/libexec/rhsmd --help description for --force-signal improvement
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 7.0
Assigned To: candlepin-bugs
IDM QE LIST
:
Depends On:
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2013-07-16 19:50 EDT by John Sefler
Modified: 2013-10-11 11:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-11 11:35:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2013-07-16 19:50:50 EDT
Description of problem:

[root@jsefler-5 ~]# /usr/libexec/rhsmd --help
Usage: rhsmd [OPTIONS]

options:
  -h, --help            show this help message and exit
  -d, --debug           Display debug messages
  -k, --keep-alive      Stay running (don't shut down after the first dbus
                        call)
  -s, --syslog          Run standalone and log result to syslog
  -f FORCE_SIGNAL, --force-signal=FORCE_SIGNAL
                        Force firing of a signal (valid, expired, warning,
                        partial, classic or registration_required)
  -i, --immediate       Fire forced signal immediately (requires --force-
                        signal)


The description for force-signal needs improvement.  How about this:
Force firing of a signal (valid, expired, warning, partial) (requires RHN Classic or Subscription Management registration)

Version-Release number of selected component (if applicable):
[root@jsefler-5 ~]# rpm -q subscription-manager
subscription-manager-1.8.13-1.el5
Comment 1 RHEL Product and Program Management 2013-07-16 20:19:52 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 2 Matt Reid 2013-07-18 13:42:53 EDT
I'm not familiar with rhsmd as I don't think its autocomplete-able (and doesn't have a description string in that --help), but I'm not sure your revision accurately captures what force-signal does. The way I read the current string is that you can use force-signal to throw one of {valid, expired, warning, partial, already-registered-with-classic, unregistered} signals/messages. Not that you need to be registered with RHN Classic or RHSM before you can force one of {valid, expired, warning, partial}, but maybe the string really is that misleading :)

If we're expecting users might interact with rhsmd, we may want to make it tab-complete-able, have a description string, and tweak the strings to match the cli consistency stuff we went through earlier (capitalize Options:, start option descriptions with a lowercase letter).
Comment 3 Bryan Kearney 2013-07-18 16:26:20 EDT
string change.. pushing.
Comment 5 Bryan Kearney 2013-10-11 11:35:00 EDT
This is really not meant to be user facing. I tend to agree with Matt that the text is a bit misleading. I am going to close this now. If you have another text, go ahead and re-open.

Note You need to log in before you can comment on or make changes to this bug.